Subject: Re: bug#64589: 30.0.50; smie-config-guess can break ruby indentation

From: Dmitry Gutov <[email-masked]>
Date: Fri, 20 Oct 2023 02:29:21 +0300

On 20/10/2023 00:41, Aaron Jensen wrote:
> Ok, thanks. The context here is that I use dtrt-indent and it invokes
> this before doing its work. For now, I have disabled it in Ruby (which
> I think is actually fine because I thankfully don't work with any Ruby
> code that is something other than 2 spaces).

All right.

> So right now, I'm not concerned about this personally, but it does
> seem odd that it breaks indentation in some cases.

Perhaps we'll simply end up documenting that it doesn't work for all 
SMIE modes, just for some. And dtrt-indent will have a whitelist.